cmake_minimum_required(VERSION 3.22)

# Create logging library
add_library(logging STATIC)

# Add logging sources
target_sources(logging PRIVATE
    ${CMAKE_CURRENT_SOURCE_DIR}/src/logging.c
)

# Add logging include directories
target_include_directories(logging PUBLIC
    ${CMAKE_CURRENT_SOURCE_DIR}/inc
)

# Link with required libraries
target_link_libraries(logging PRIVATE
    uart
    hal
)